﻿
/********** COLORES **********/

:root {
    --primary: #D90F18;
    --primary-menu: #D90F18;
    --primary-hover: #874ace;
}

/*****************************/

.CssCasillaCeldaPArteTrabajo_Posicion {
    position: absolute;
    top: -4px;
    right: 10px;
    /*width: 28px;
    height: 28px;*/
}


.CssClearBoth {
    clear: both;
}

.CssBotonSeleccion_Borrar_ON {
    position: absolute;
    background: url('../../Images/Iconos/CintaBorrar.png') 0 0px no-repeat;
    z-index: 4;
    width: 28px;
    height: 28px;
}

.CssBotonSeleccion_Borrar_ON:hover {
    background: url('../../Images/Iconos/CintaBorrar.png') 0 -28px no-repeat;
    cursor: pointer;
}


.CssCursorHoverPointer:hover {
    cursor: pointer;
}


.CssDisplayNone {
    display: none;
}


.CssFloatLeft {
    float: left;
}

    .CssFloatLeft > h4 {
        text-transform: none !important;
    }


.CssFloatRight {
    float: right;
}



.CssLineaSeparacionNormal {
    border-bottom: 2px solid var(--primary, #007bff);
}


.CssAltura8 {
    height: 8px;
}


.CssMargenIzquierda15 {
    margin-left: 15px;
}

.CssMargenTop10 {
    margin-top: 10px;
}



.CssParrafoInformacion {
    white-space: pre-wrap;
    font-size: 1em;
    background: var(--primary, #007bff);
    color: white;
    border-radius: 5px;
    text-align: center;
    margin: 5px;
    padding: 2px;
    width: 100%;
    text-align: center;
}


.CssNoCapitalize {
    text-transform: initial !important;
}


.field-validation-error{
    color: red !important;
}


.bootstrap-datetimepicker-widget {
    z-index: 99999 !important;
}


.bootstrap-datetimepicker-widget table {
    z-index: 99999 !important;
}




.CssCasillaCeldaPArteTrabajo_Posicion {
    position: absolute;
    top: -4px;
    right: 10px;
    /*width: 28px;
    height: 28px;*/
}

.CssCasillaCeldaPArteTrabajo_Posicion2 {
    position: absolute;
    top: -4px;
    right: 40px;
    width: 28px;
    height: 28px;
}


.CssCasillaCeldaPArteTrabajo_Posicion3 {
    position: absolute;
    top: -4px;
    right: 70px;
    width: 28px;
    height: 28px;
}

.CssBotonSeleccion_Editar {
    background: url('../../images/Iconos/CintaEditar.png') 0 -28px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_Editar_ON {
    background: url('../../Images/Iconos/CintaEditar.png') 0 0px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_Borrar {
    background: url('../../images/Iconos/CintaBorrar.png') 0 -28px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_Borrar_ON {
    background: url('../../Images/Iconos/CintaBorrar.png') 0 0px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_Ver {
    background: url('../../images/Iconos/CintaVer.png') 0 -28px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_Ver_ON {
    background: url('../../Images/Iconos/CintaVer.png') 0 0px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_CruzRoja {
    background: url('../../images/Iconos/CintaCruz.png') 0 -28px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_CruzRoja_ON {
    background: url('../../Images/Iconos/CintaCruz.png') 0 0px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_VistoBueno {
    background: url('../../images/Iconos/CintaVistoBueno.png') 0 -28px no-repeat;
    z-index: 4;
}

.CssBotonSeleccion_VistoBueno_ON {
    background: url('../../Images/Iconos/CintaVistoBueno.png') 0 0px no-repeat;
    z-index: 4;
}



.CssBotonFavorito_UnFrame {
    position: absolute;
    width: 28px;
    height: 28px;
}

.datepicker {
    /*background-color: red !important;*/
    /*background-*/
    color: #333;
    opacity: 1 !important;
    filter: alpha(opacity=100) !important; /* For IE8 and earlier */
}


/**************** Arreglos para los form de modales ****************/

.form-group-select .col-form-label {
    -webkit-transform: translateY(-54px) scale(0.75, 0.75) !important;
    -ms-transform: translateY(-54px) scale(0.75, 0.75) !important;
    transform: translateY(-54px) scale(0.75, 0.75) !important;
}

.form-group-select .form-control {
    -webkit-transform: translateY(8px) !important;
    -ms-transform: translateY(8px) !important;
    transform: translateY(8px) !important;
    max-width: calc(100%) !important;
}

.col-form-label-multiselect {
    -webkit-transform: translateY(-228px) scale(0.75, 0.75) !important;
    -ms-transform: translateY(-228px) scale(0.75, 0.75) !important;
    transform: translateY(-228px) scale(0.75, 0.75) !important;
}

.datepicker {
    /*background-color: red !important;*/
    /*background-*/
    color: #333;
    opacity: 1 !important;
    filter: alpha(opacity=100) !important; /* For IE8 and earlier */
}

.form-group > .input-group > label {
    color: rgba(0,0,0,0.38);
    top: 0px !important;
    margin-left: -5px !important;
}


/**************** Modal Cambio de Plan de Suscripción ****************/

.btn-plan > i {
    cursor: pointer;
    font-size: 2em !important;
}

.panel-footer > .text-primary {
    color: var(--primary, #007bff) !important;
}

.accordion-struct.panel-group .panel .panel-heading {
    padding: 10px 20px;
}

.accordion-struct.panel-group .panel a {
    text-decoration: none;
}

.accordion-struct.panel-group .panel.panel-plan-success .panel-heading {
    background: #469408;
    border-bottom: 1px solid #469408;
}

.accordion-struct.panel-group .panel.panel-plan-warning .panel-heading {
    background: #f0ad4e;
    border-bottom: 1px solid #f0ad4e;
}

.accordion-struct.panel-group .panel.panel-plan-danger .panel-heading {
    background: #d43f3a;
    border-bottom: 1px solid #d43f3a;
}

.accordion-struct.panel-group .panel.panel-plan-primary .panel-heading {
    background: var(--primary, #007bff);
    border-bottom: 1px solid var(--primary, #007bff);
}

.accordion-struct.panel-group .panel a.collapsed .panel-heading {
    background: #ddd !important;
    border-bottom: 1px solid #ddd !important;
}

.text-plan-primary, a.text-plan-primary > i, a.text-plan-primary > [class^="icon-"], a.text-plan-primary > [class*=" icon-"] {
    color: var(--primary, #007bff) !important;
}

.text-plan-success, a.text-plan-success > i, a.text-plan-success > [class^="icon-"], a.text-plan-success > [class*=" icon-"] {
    color: #469408 !important;
}

.icon-plan {
    color: var(--primary, #007bff) !important;
}

a[data-toggle="collapse"] {
    outline: 0;
}



/**************** Tabla ficheros adjuntos ****************/

.ficheros-adjuntos > tbody > tr > th, .ficheros-adjuntos > tbody > tr > td {
    text-align: center !important;
    padding-right: 15px;
    text-align: left;
}

.ficheros-adjuntos {
    width: 100%;
}


/****************Perfil de empresas ****************/

.borrar-enlace {
    padding: 10px 0px;
}

.borrar-enlace:hover {
    cursor: pointer;
    color: #d43f3a;
}


/**************** Calendario ****************/

#calendar .page-header.ene {
    background-image: url("../assets/images/backgrounds/winter.jpg");
    background-position: 0 85%
}

#calendar .page-header.feb {
    background-image: url("../assets/images/backgrounds/winter.jpg");
    background-position: 0 85%
}

#calendar .page-header.mar {
    background-image: url("../assets/images/backgrounds/spring.jpg");
    background-position: 0 40%
}

#calendar .page-header.abr {
    background-image: url("../assets/images/backgrounds/spring.jpg");
    background-position: 0 40%
}

#calendar .page-header.may {
    background-image: url("../assets/images/backgrounds/spring.jpg");
    background-position: 0 40%
}

#calendar .page-header.jun {
    background-image: url("../assets/images/backgrounds/summer.jpg");
    background-position: 0 80%
}

#calendar .page-header.jul {
    background-image: url("../assets/images/backgrounds/summer.jpg");
    background-position: 0 80%
}

#calendar .page-header.ago {
    background-image: url("../assets/images/backgrounds/summer.jpg");
    background-position: 0 80%
}

#calendar .page-header.sep {
    background-image: url("../assets/images/backgrounds/autumn.jpg");
    background-position: 0 40%
}

#calendar .page-header.oct {
    background-image: url("../assets/images/backgrounds/autumn.jpg");
    background-position: 0 40%
}

#calendar .page-header.nov {
    background-image: url("../assets/images/backgrounds/autumn.jpg");
    background-position: 0 40%
}

#calendar .page-header.dic {
    background-image: url("../assets/images/backgrounds/winter.jpg");
    background-position: 0 85%
}


/**************** Tablas ****************/

#e-commerce-products-table .dropdown-menu {
    position: fixed !important;
}

#e-commerce-products-table .dropdown-item {
    height: 30px;
    line-height: inherit;
}

.tabla-boton th:last-child {
    width: 20%;
}

/* Notificaciones */
.brighttheme-success {
    background-color: #AFF29A !important;
    border: 0 solid #35DB00 !important;
    color: #104300 !important;
}

.brighttheme-error {
    background-color: #FFABA2 !important;
    background-image: repeating-linear-gradient(135deg, transparent, transparent 35px, rgba(255,255,255,.3) 35px, rgba(255,255,255,.3) 70px) !important;
    border: 0 solid #FF1800 !important;
    color: #4F0800 !important;
}